switch back to python2

Change-Id: I606bfd79db64370fc60352cad113e81259cbd254
This commit is contained in:
Matthew Mosesohn 2017-07-28 16:45:19 +03:00
parent 0652e1b6d3
commit 51164d9aab
1 changed files with 4 additions and 2 deletions

View File

@ -273,8 +273,10 @@ if ! admin_node_command type ansible 2>&1 > /dev/null; then
if [[ "$ANSIBLE_INSTALL_SOURCE" == "apt" ]]; then
with_retries admin_node_command -- sudo apt-get install -y ansible python-netaddr
elif [[ "$ANSIBLE_INSTALL_SOURCE" == "pip" ]]; then
with_retries admin_node_command -- sudo apt-get install -y python3-netaddr libssl-dev python3-pip
with_retries admin_node_command -- sudo pip3 install --upgrade ansible==$required_ansible_version
admin_node_command -- sudo pip uninstall -y setuptools pip || true
with_retries admin_node_command -- sudo apt-get install -y --reinstall python-netaddr libssl-dev python-pip python-setuptools python-pkg-resources
with_retries admin_node_command -- sudo -H easy_install pyopenssl==16.2.0
with_retries admin_node_command -- sudo pip install --upgrade ansible==$required_ansible_version
else
echo "ERROR: Unknown Ansible install source: ${ANSIBLE_INSTALL_SOURCE}"
exit 1